# Class BridgeModuleResolver

#### Hierarchy

- CompositeModuleResolver
  - BridgeModuleResolver

#### Implements

- ModuleResolver

- Defined in modules/packages/bridge/packages/module-resolver/dist/types/ModuleResolver.d.ts:4

#####
Index

### Constructors

constructor

### Properties

bridge
params
remoteAddresses?
resolveByAddress
resolveByName
resolveByQuery
resolveRemoteModules
resolveRemoteModulesByAddress
resolveRemoteModulesByName
resolveRemoteModulesByQuery
resolvedModules
resolvers
defaultLogger?

### Accessors

isModuleResolver
logger

### Methods

add
addResolver
currentResolvedModules
getRemoteAddresses
remove
removeResolver
resolve
resolveOne

## Constructors

### constructor

- new BridgeModuleResolver(bridge): BridgeModuleResolver

- #### Parameters

  - ##### bridge: BridgeModule<BridgeParams<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: string;
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<Omit<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: "network.xyo.bridge.config";
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<{
    discoverCache?: true | CacheConfig;
    schema: "network.xyo.bridge.config";
    }, "schema">, "schema"> & {
    schema: string;
    }, "schema">>, ModuleEventData, Module<ModuleParams<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: string;
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<Omit<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: "network.xyo.module.config";
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<undefined, "schema">, "schema"> & {
    schema: string;
    }, "schema">, undefined>, ModuleEventData>>

  #### Returns BridgeModuleResolver

  Overrides CompositeModuleResolver.constructor

  - Defined in modules/packages/bridge/packages/module-resolver/dist/types/ModuleResolver.d.ts:8

## Properties

### `Protected` `Readonly` bridge

bridge: BridgeModule<BridgeParams<SchemaFields & PayloadFields & {
archivist?: ArchivistModuleConfig;
name?: string;
paging?: Record<string, {
size?: number;
}>;
schema: string;
security?: {
allowAnonymous?: boolean;
allowed?: Record<string, (string | CosigningAddressSet)[]>;
disallowed?: Record<string, string[]>;
};
storeQueries?: boolean;
} & Omit<Omit<SchemaFields & PayloadFields & {
archivist?: ArchivistModuleConfig;
name?: string;
paging?: Record<string, {
size?: number;
}>;
schema: "network.xyo.bridge.config";
security?: {
allowAnonymous?: boolean;
allowed?: Record<string, (string | CosigningAddressSet)[]>;
disallowed?: Record<string, string[]>;
};
storeQueries?: boolean;
} & Omit<{
discoverCache?: true | CacheConfig;
schema: "network.xyo.bridge.config";
}, "schema">, "schema"> & {
schema: string;
}, "schema">>, ModuleEventData, Module<ModuleParams<SchemaFields & PayloadFields & {
archivist?: ArchivistModuleConfig;
name?: string;
paging?: Record<string, {
size?: number;
}>;
schema: string;
security?: {
allowAnonymous?: boolean;
allowed?: Record<string, (string | CosigningAddressSet)[]>;
disallowed?: Record<string, string[]>;
};
storeQueries?: boolean;
} & Omit<Omit<SchemaFields & PayloadFields & {
archivist?: ArchivistModuleConfig;
name?: string;
paging?: Record<string, {
size?: number;
}>;
schema: "network.xyo.module.config";
security?: {
allowAnonymous?: boolean;
allowed?: Record<string, (string | CosigningAddressSet)[]>;
disallowed?: Record<string, string[]>;
};
storeQueries?: boolean;
} & Omit<undefined, "schema">, "schema"> & {
schema: string;
}, "schema">, undefined>, ModuleEventData>>

- Defined in modules/packages/bridge/packages/module-resolver/dist/types/ModuleResolver.d.ts:5

### `Readonly` params

params: BaseParamsFields

Inherited from CompositeModuleResolver.params

- Defined in protocol/packages/core/dist/types/lib/Base.d.ts:20

### `Private` `Optional` remoteAddresses

remoteAddresses?: any

- Defined in modules/packages/bridge/packages/module-resolver/dist/types/ModuleResolver.d.ts:6

### `Private` resolveByAddress

resolveByAddress: any

- Defined in modules/packages/bridge/packages/module-resolver/dist/types/ModuleResolver.d.ts:16

### `Private` resolveByName

resolveByName: any

- Defined in modules/packages/bridge/packages/module-resolver/dist/types/ModuleResolver.d.ts:17

### `Private` resolveByQuery

resolveByQuery: any

- Defined in modules/packages/bridge/packages/module-resolver/dist/types/ModuleResolver.d.ts:18

### `Private` resolveRemoteModules

resolveRemoteModules: any

- Defined in modules/packages/bridge/packages/module-resolver/dist/types/ModuleResolver.d.ts:19

### `Private` resolveRemoteModulesByAddress

resolveRemoteModulesByAddress: any

- Defined in modules/packages/bridge/packages/module-resolver/dist/types/ModuleResolver.d.ts:20

### `Private` resolveRemoteModulesByName

resolveRemoteModulesByName: any

- Defined in modules/packages/bridge/packages/module-resolver/dist/types/ModuleResolver.d.ts:21

### `Private` resolveRemoteModulesByQuery

resolveRemoteModulesByQuery: any

- Defined in modules/packages/bridge/packages/module-resolver/dist/types/ModuleResolver.d.ts:22

### `Private` resolvedModules

resolvedModules: any

- Defined in modules/packages/bridge/packages/module-resolver/dist/types/ModuleResolver.d.ts:7

### `Protected` resolvers

resolvers: ModuleResolver[]

Inherited from CompositeModuleResolver.resolvers

- Defined in modules/packages/module/packages/abstract/dist/types/Resolver/CompositeModuleResolver.d.ts:4

### `Static` `Optional` defaultLogger

defaultLogger?: Logger

Inherited from CompositeModuleResolver.defaultLogger

- Defined in protocol/packages/core/dist/types/lib/Base.d.ts:21

## Accessors

### isModuleResolver

- get isModuleResolver(): boolean

- #### Returns boolean

  Implementation of ModuleResolver.isModuleResolver

  Overrides CompositeModuleResolver.isModuleResolver

  - Defined in modules/packages/bridge/packages/module-resolver/dist/types/ModuleResolver.d.ts:9

### `Protected` logger

- get logger(): Logger | Console

- #### Returns Logger | Console

  Inherited from CompositeModuleResolver.logger

  - Defined in protocol/packages/core/dist/types/lib/Base.d.ts:23

## Methods

### add

- add(module): BridgeModuleResolver

- #### Parameters

  - ##### module: Module<ModuleParams<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: string;
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<Omit<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: "network.xyo.module.config";
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<undefined, "schema">, "schema"> & {
    schema: string;
    }, "schema">, undefined>, ModuleEventData>

  #### Returns BridgeModuleResolver

  Overrides CompositeModuleResolver.add

  - Defined in modules/packages/bridge/packages/module-resolver/dist/types/ModuleResolver.d.ts:10
- add(module): BridgeModuleResolver

- #### Parameters

  - ##### module: Module<ModuleParams<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: string;
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<Omit<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: "network.xyo.module.config";
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<undefined, "schema">, "schema"> & {
    schema: string;
    }, "schema">, undefined>, ModuleEventData>[]

  #### Returns BridgeModuleResolver

  Overrides CompositeModuleResolver.add

  - Defined in modules/packages/bridge/packages/module-resolver/dist/types/ModuleResolver.d.ts:11

### addResolver

- addResolver(resolver): BridgeModuleResolver

- #### Parameters

  - ##### resolver: ModuleResolver

  #### Returns BridgeModuleResolver

  Implementation of ModuleResolver.addResolver

  Inherited from CompositeModuleResolver.addResolver

  - Defined in modules/packages/module/packages/abstract/dist/types/Resolver/CompositeModuleResolver.d.ts:10

### currentResolvedModules

- currentResolvedModules<T>(): Promise<Record<string, T>>

- #### Type Parameters

  - #### T extends ModuleFields<ModuleParams<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: string;
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<Omit<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: "network.xyo.module.config";
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<undefined, "schema">, "schema"> & {
    schema: string;
    }, "schema">, undefined>> & EventFunctions<ModuleEventData, T> = Module<ModuleParams<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: string;
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<Omit<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: "network.xyo.module.config";
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<undefined, "schema">, "schema"> & {
    schema: string;
    }, "schema">, undefined>, ModuleEventData>

  #### Returns Promise<Record<string, T>>

  - Defined in modules/packages/bridge/packages/module-resolver/dist/types/ModuleResolver.d.ts:12

### getRemoteAddresses

- getRemoteAddresses(): Promise<string[]>

- #### Returns Promise<string[]>

  - Defined in modules/packages/bridge/packages/module-resolver/dist/types/ModuleResolver.d.ts:13

### remove

- remove(_address): BridgeModuleResolver

- #### Parameters

  - ##### _address: string | string[]

  #### Returns BridgeModuleResolver

  Overrides CompositeModuleResolver.remove

  - Defined in modules/packages/bridge/packages/module-resolver/dist/types/ModuleResolver.d.ts:14

### removeResolver

- removeResolver(resolver): BridgeModuleResolver

- #### Parameters

  - ##### resolver: ModuleResolver

  #### Returns BridgeModuleResolver

  Implementation of ModuleResolver.removeResolver

  Inherited from CompositeModuleResolver.removeResolver

  - Defined in modules/packages/module/packages/abstract/dist/types/Resolver/CompositeModuleResolver.d.ts:12

### resolve

- resolve<T>(filter?): Promise<T[]>

- Resolves all modules matching the supplied filter. If no filter is supplied, all modules are returned

  #### Type Parameters

  - #### T extends ModuleFields<ModuleParams<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: string;
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<Omit<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: "network.xyo.module.config";
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<undefined, "schema">, "schema"> & {
    schema: string;
    }, "schema">, undefined>> & EventFunctions<ModuleEventData, T> = Module<ModuleParams<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: string;
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<Omit<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: "network.xyo.module.config";
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<undefined, "schema">, "schema"> & {
    schema: string;
    }, "schema">, undefined>, ModuleEventData>

  #### Parameters

  - ##### `Optional` filter: ModuleFilter

    Filter criteria for the desired modules

  #### Returns Promise<T[]>

  Implementation of ModuleResolver.resolve

  Overrides CompositeModuleResolver.resolve

  - Defined in modules/packages/bridge/packages/module-resolver/dist/types/ModuleResolver.d.ts:15

### resolveOne

- resolveOne<T>(filter): Promise<undefined | T>

- Resolves a single module, or undefined if no modules matched the filter.

  #### Type Parameters

  - #### T extends ModuleFields<ModuleParams<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: string;
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<Omit<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: "network.xyo.module.config";
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<undefined, "schema">, "schema"> & {
    schema: string;
    }, "schema">, undefined>> & EventFunctions<ModuleEventData, T> = Module<ModuleParams<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: string;
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<Omit<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: "network.xyo.module.config";
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<undefined, "schema">, "schema"> & {
    schema: string;
    }, "schema">, undefined>, ModuleEventData>

  #### Parameters

  - ##### filter: string

    The desired Module's Address or Name

  #### Returns Promise<undefined | T>

  Implementation of ModuleResolver.resolveOne

  Inherited from CompositeModuleResolver.resolveOne

  - Defined in modules/packages/module/packages/abstract/dist/types/Resolver/CompositeModuleResolver.d.ts:14

Generated using TypeDoc